Update output by ID
- Base URL
-
https://{kibana_url}
- PUT /api/fleet/outputs/{outputId}
- PUT /s/{space_id}/api/fleet/outputs/{outputId}
Refer to Spaces for more information.
Authentication
Authorization: <value>
These APIs use key-based authentication. You must create an API key and use the encoded value in the request header. For example: Authorization: ApiKey base64AccessApiKey
Authorization: Basic <credentials>
Request body
One of:
type: elasticsearch
type: kafka
type: logstash
Responses
OK